<div class="pl-0 pr-0" id="authentitacator" style="max-width: 500px;">

    <mat-card id="authenticator-content" color="warn">
        <mat-card-header>
            <mat-card-title>{{getStateText()}}</mat-card-title>
        </mat-card-header>
        <div *ngIf="isLoginState()">
            <input #loginEmail placeholder="E-mail" type="email">
            <input #loginPassword placeholder="Password" type="password">
            <button 
            
                (click)="onLogin(loginEmail, loginPassword)"
                
            
            mat-flat-button color="warn">Login</button>
        </div>
        <div *ngIf="isRegisterState()">
            <input #registerEmail placeholder="E-mail" type="email">
            <input #registerPassword placeholder="Password" type="password">
            <input #registerConfirmPassword placeholder="Conferma Password" type="password">
            <input #registerPassword placeholder="Password" type="password">
            <input #registerConfirmPassword placeholder="Conferma Password" type="password">
            <input #registerPassword placeholder="Password" type="password">
            <input #registerConfirmPassword placeholder="Conferma Password" type="password">
            <input #registerPassword placeholder="Password" type="password">
            <input #registerConfirmPassword placeholder="Conferma Password" type="password">
            <button
                (click)="onRegisterClick(
                    registerEmail,
                    registerPassword,
                    registerConfirmPassword
                )"
            mat-flat-button color="warn">Crea</button>
        </div>
        <div *ngIf="isForgotPasswordState()">
            <input #resetEmail placeholder="E-mail" type="email">
            <button (click)="onResetClick(resetEmail)" 
            mat-flat-button color="warn">Reset Password</button>

        </div>
        <mat-card-actions align="end">
            <button (click)="onForgotPasswordClick()"
            mat-flat-button> Password Dimenticata</button>
            <button (click)="onCreateAccountClick()"
            mat-flat-button> Registrati</button>
            <button (click)="onLoginClick()"
            mat-flat-button> login</button>
        </mat-card-actions>

        
            
        
    </mat-card>

</div>